<?php
declare(strict_types=1);


namespace Lewisdale\App\Models\Data;

use Doctrine\ORM\Mapping as ORM;
use Ramsey\Uuid\Doctrine\UuidGenerator;
use Ramsey\Uuid\UuidInterface;

#[ORM\Entity]
#[ORM\Table(name: 'feeds')]
#[ORM\HasLifecycleCallbacks]
class Feed
{
    #[ORM\Id]
    #[ORM\Column(type: "uuid", unique: true)]
    #[ORM\GeneratedValue(strategy: "CUSTOM")]
    #[ORM\CustomIdGenerator(class: UuidGenerator::class)]
    public UuidInterface $id;

    #[ORM\Column(type: 'string')]
    public string $url;

    #[ORM\Column(type: 'string')]
    public string $title;
}