<?php
declare(strict_types=1);


namespace Lewisdale\App\Models\Data;

use Doctrine\ORM\Mapping as ORM;
use Ramsey\Uuid\Doctrine\UuidGenerator;
use Ramsey\Uuid\UuidInterface;

#[ORM\Entity]
#[ORM\Table(name: 'feed_filters')]
#[ORM\HasLifecycleCallbacks]
class FeedFilter
{
    #[ORM\Id]
    #[ORM\Column(type: "uuid", unique: true)]
    #[ORM\GeneratedValue(strategy: "CUSTOM")]
    #[ORM\CustomIdGenerator(class: UuidGenerator::class)]
    public UuidInterface $id;

    public function getId(): UuidInterface
    {
        return $this->id;
    }

    #[ORM\Column(type: 'string', enumType: FilterTarget::class)]
    public FilterTarget $target;

    #[ORM\Column(type: 'string', enumType: FilterType::class)]
    public FilterType $filter;

    #[ORM\Column(type: 'string')]
    public string $value;

    #[ORM\ManyToOne(targetEntity: Feed::class)]
    #[ORM\JoinColumn(name: 'feed_id', referencedColumnName: 'id')]
    public Feed $feed;
}